POST
Pause Subscription

Authorizations

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Headers

X-Publishable-Key
string
required

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard.

Path Parameters

subscription_id
string
required

The unique ID for the subscription. The unique ID for a Bolt subscription.

Example:

"sub_1a2b3c4d5e"

Response

Success

A Bolt subscription.

id
string
required

The unique ID for a Bolt subscription.

Example:

"sub_1a2b3c4d5e"

created_at
string<date-time>
required
updated_at
string<date-time>
required
merchant_name
string
required

The name of the merchant this subscription belongs to.

Example:

"Bolt Swag Store"

email
string | null
required

The email address of the shopper who owns this subscription. Nullable.

Example:

"shopper@example.com"

status_details
Subscription Status Details · object
required

Details about the subscription's current status.

plan
Subscription Plan · object
required

The billing plan the subscription is enrolled in.

product_names
string[]
required
total_amount
object
required

The amount. Nullable for Transactions Details.

metadata
object
required

Merchant-defined custom metadata.

payment_method
Subscription Payment Method · object

The card currently used to pay for this subscription.

next_renewal_date
string<date-time> | null

The date of the next scheduled renewal, if any.

next_payment_retry_date
string<date-time> | null

The date of the next scheduled payment retry, if the subscription currently has a failed payment.

canceled_date
string<date-time> | null
paused_date
string<date-time> | null